org.apache.tinkerpop.gremlin.groovy

## Class GroovyEnvironmentPerformanceSuite

- java.lang.Object
- - Suite
  - - org.apache.tinkerpop.gremlin.AbstractGremlinSuite
    - - org.apache.tinkerpop.gremlin.groovy.GroovyEnvironmentPerformanceSuite

- Deprecated.
  As of release 3.2.1, replaced by gremlin-benchmark.

      @Deprecated
      public class GroovyEnvironmentPerformanceSuite
      extends AbstractGremlinSuite

  The `GroovyEnvironmentPerformanceSuite` is a JUnit test runner that executes the Gremlin Test Suite over a `Graph` implementation. This test suite covers ensures that a vendor implementation is compliant with the Groovy "environment" which will typically ensure that the `Graph` will work as expected in the Gremlin Console, Gremlin Server, and other Groovy environments.

  Note that this suite contains "long-run" tests. At this time, this suite can be considered optional to providers as the functionality that it provides is generally covered elsewhere.

  For more information on the usage of this suite, please see `StructureStandardSuite`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinSuite

      `AbstractGremlinSuite.OptOutTestFilter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyEnvironmentPerformanceSuite(Class<?> klass, RunnerBuilder builder)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterTestExecution(Class<? extends AbstractGremlinTest> testClass)` Deprecated. Called just after test class execution.
    `boolean` | `beforeTestExecution(Class<? extends AbstractGremlinTest> testClass)` Deprecated. Called just prior to test class execution.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinSuite

      `getGraphProviderClass, runChild, validateOptInAndOutAnnotationsOnGraph, withAfterClasses`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyEnvironmentPerformanceSuite

          public GroovyEnvironmentPerformanceSuite(Class<?> klass,
                                                   RunnerBuilder builder)
                                            throws InitializationError

      Deprecated.
      Throws:
        `InitializationError`

  - ### Method Detail

    - #### beforeTestExecution

          public boolean beforeTestExecution(Class<? extends AbstractGremlinTest> testClass)

      Deprecated.
      Description copied from class: `AbstractGremlinSuite`
      Called just prior to test class execution. Return false to ignore test class. By default this always returns true.
      Overrides:
        `beforeTestExecution` in class `AbstractGremlinSuite`

    - #### afterTestExecution

          public void afterTestExecution(Class<? extends AbstractGremlinTest> testClass)

      Deprecated.
      Description copied from class: `AbstractGremlinSuite`
      Called just after test class execution.
      Overrides:
        `afterTestExecution` in class `AbstractGremlinSuite`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.